C
C
C  Copyright (C) 2000, 2001 Silicon Graphics, Inc.  All Rights Reserved.
C
C  This program is free software; you can redistribute it and/or modify it
C  under the terms of version 2 of the GNU General Public License as
C  published by the Free Software Foundation.
C
C  This program is distributed in the hope that it would be useful, but
C  WITHOUT ANY WARRANTY; without even the implied warranty of
C  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
C
C  Further, this software is distributed without any warranty that it is
C  free of the rightful claim of any third person regarding infringement 
C  or the like.  Any license provided herein, whether implied or 
C  otherwise, applies only to this software file.  Patent licenses, if 
C  any, provided herein do not apply to combinations of this program with 
C  other software, or any other product whatsoever.  
C
C  You should have received a copy of the GNU General Public License along
C  with this program; if not, write the Free Software Foundation, Inc., 59
C  Temple Place - Suite 330, Boston MA 02111-1307, USA.
C
C  Contact information:  Silicon Graphics, Inc., 1600 Amphitheatre Pky,
C  Mountain View, CA 94043, or:
C
C  http://www.sgi.com
C
C  For further information regarding this notice, see:
C
C  http://oss.sgi.com/projects/GenInfo/NoticeExplan
C
C

!$$$      integer function f90_verify(string,set,back)
!$$$      character*(*) string,set
!$$$      logical back
!$$$      f90_verify = verify(string,set,back)
!$$$      end
!$$$
!$$$      integer function f90_scan(string,set,back)
!$$$      character*(*) string,set
!$$$      logical back
!$$$      f90_scan = scan(string,set,back)
!$$$      end
!$$$
!$$$      integer function f90_index(string,substring,back)
!$$$      character*(*) string,substring
!$$$      logical back
!$$$      f90_index = index(string,substring,back)
!$$$      end

      SUBROUTINE ARCDIV(R, X, Y)
      END

      SUBROUTINE ARCDDIV(R, X, Y)
      END

      SUBROUTINE ARCXDDIV(R, X, Y)
      END

      SUBROUTINE ARCABS (R, X)
      END

      SUBROUTINE ARSQRT (R, X)
      END

      SUBROUTINE ARDSQRT (R, X)
      END

      SUBROUTINE ARXDSQRT (R, X)
      END

      SUBROUTINE ARCSQRT (R, X)
      END

      SUBROUTINE ARLOG (R, X)
      END

      SUBROUTINE ARDLOG (R, X)
      END

      SUBROUTINE ARXDLOG (R, X)
      END

      SUBROUTINE ARCLOG (R, X)
      END

      SUBROUTINE AREXP (R, X)
      END

      SUBROUTINE ARDEXP (R, X)
      END

      SUBROUTINE ARXDEXP (R, X)
      END

      SUBROUTINE ARCEXP (R, X)
      END

      SUBROUTINE ARPOWII (IR, I, J)
      END

      SUBROUTINE ARPOWJJ (IR, I, J)
      END

      SUBROUTINE ARPOWRI (R, X, I)
      END

      SUBROUTINE ARPOWRJ (R, X, J)
      END

      SUBROUTINE ARPOWDI (R, D, I)
      END

      SUBROUTINE ARPOWDJ (R, D, J)
      END

      SUBROUTINE ARPOWXDI (R, D, I)
      END

      SUBROUTINE ARPOWXDJ (R, D, J)
      END

      SUBROUTINE ARPOWCI (R, C, I)
      END

      SUBROUTINE ARPOWCJ (R, C, J)
      END

      SUBROUTINE ARPOWIR (R, I, X)
      END

      SUBROUTINE ARPOWJR (R, J, X)
      END

      SUBROUTINE ARPOWRR (R, X, Y)
      END

      SUBROUTINE ARPOWDR (R, X, Y)
      END

      SUBROUTINE ARPOWXDR (R, X, Y)
      END

      SUBROUTINE ARPOWCR (R, X, Y)
      END

      SUBROUTINE ARPOWDD (R, X, Y)
      END

      SUBROUTINE ARPOWXDXD (R, X, Y)
      END

      SUBROUTINE ARPOWCC (R, X, Y)
      END

      SUBROUTINE ARMODI (R, I, M)
      END

      SUBROUTINE ARMODJ (R, J, M)
      END

      SUBROUTINE ARMOD (R, X, Y)
      END

      SUBROUTINE ARMODD (R, X, Y)
      END

      SUBROUTINE ARMODXD (R, X, Y)
      END

      SUBROUTINE ARSELRK (K, P, R)
      END
